<?php

require_once('/usr/local/www/berogui/misc/database.php');
require_once('/usr/local/www/berogui/includes/isgwtelnet.php');

class apiCall {

	private $_name, $_get, $_post, $_execResult, $_execResultString;

	function __construct ($get = null, $post = null, $files = null) {
		$this->_name = 'TelephonyGetCdr';
		$this->_get = $get;
		$this->_post = $post;
		$this->_execResult = true;
		$this->_execResultString = 'success';
	}

	function execute () {

		$ba = new beroAri();

		if (isset($this->_get['LoggingActive'])) {
			$ba->set('logcdr', (($this->_get['LoggingActive'] == 1) ? '1' : '0'));
			return($this->_execResult);
		}

		switch ($this->_get['Action']) {
		case 'download':
			if ($ba->get('logcdr') != '1') {
				$this->_execResultString = 'error:logging_of_cdr_is_not_active';
				$this->_execResult = false;
				return($this->_execResult);
			}

			if (!file_exists('/tmp/isgw.cdr.1')) {
				$isgw = new isgwtelnet();
				$isgw->isgw_login();
				$isgw->rotate_cdr();
				sleep(4);
			}

			if (!file_exists('/tmp/isgw.cdr.1')) {
				$this->_execResultString = 'error:cdr_are_not_available';
				$this->_execResult = false;
				return($this->_execResult);
			}
			break;
		case 'delete':
			@unlink('/tmp/isgw.cdr.1');
			@unlink('/tmp/isgw.cdr.2');
			break;
		default:
			$this->_execResultString = 'error:invalid_parameters';
			$this->_execResult = false;
			break;
		}

		return($this->_execResult);
	}

	function display () {

		if (($this->_get['Action'] == 'download') && ($this->_execResult == true)) {
			copy('/tmp/isgw.cdr.1', '/tmp/isgw.cdr.2');
			$file = file_get_contents('/tmp/isgw.cdr.2');

			header('Content-Type: application/force-download');
			header('Content-Disposition: attachment; filename=isgw.cdr' . "\r\n\r\n");
			header('Content-Length: ' . strlen($file) . "\n\n");
			return($file);
		}

		return($this->_name . ':' . $this->_execResultString);
	}
}

?>
